function SIDGain = CNGUpdate(eMem, CNGpar)
% Calculate the gain for future CNG frames (in case an SID frame is lost)

% $Id: CNGUpdate.m,v 1.5 2020/11/19 02:20:36 pkabal Exp $

% Gain for CNG
N = CNGpar.NG;
E = eMem(end-N+1:end)' * eMem(end-N+1:end);
SIDGain = CNGpar.GScale * sqrt(E);

% Quantize / Decode SIDGain
QI = QuantL(SIDGain, CNGpar.GainDec);
SIDGain = CNGpar.GainCBook(QI + 1);

end
