function [L, b, Seed] = CNGPitch(Seed, CNGpar)
% Generate random pitch values
% - Pitch lag for every subframe
% - Pitch coefficient vectors for every subframe

% $Id: CNGPitch.m,v 1.4 2020/11/03 18:07:09 pkabal Exp $

NSubframe = length(CNGpar.PMax);

LPrev = NaN;
L = NaN(1, NSubframe);
for i = 1:NSubframe
  Nr = CNGpar.PMax(i) - CNGpar.PMin(i) + 1;
  [v, Seed] = RandIntV(Seed, Nr);
  v = v + CNGpar.PMin(i);
  if (CNGpar.PRel(i))
    L(i) = LPrev + v;
  else
    L(i) = v;
  end
  LPrev = L(i);
end

Nb = length(CNGpar.b);
b = NaN(5, NSubframe);
for i = 1:NSubframe
  [v, Seed] = RandIntV(Seed, Nb);
  b(:,i) = CNGpar.b(:,v+1);
end

end
