function [VC, isBitStream] = ReadG7231Data(FName)
% Read data for the G.723.1 decoder
% Input data is either from a bitstream file or a Matlab file.

% $Id: ReadG7231Data.m,v 1.8 2020/11/03 18:08:02 pkabal Exp $

% Open the file for a peek at the first 6 characters
fid = fopen(FName, 'r');
if (fid == -1)
  error('G7231Decoder: Cannot open input file');
end
id = char(fread(fid, 6, 'uint8')');
fclose(fid);

isBitStream = (~strcmp(id, 'MATLAB'));

% Read the file
if (isBitStream)
  VC = ReadG7231Stream(FName);
else
  load(FName, '-mat');    % Loads VC
  fprintf('G723.1 Matlab data file: %s\n', FullName(FName));
end

end
