function DecoderMem = InitDecoderMem(DecoderPar)
% Initialize the decoder memory

% $Id: InitDecoderMem.m,v 1.11 2020/11/19 02:25:15 pkabal Exp $

% Excitation memory
Pitchpar = DecoderPar.Pitchpar;
NPMode = max(Pitchpar.PMode);
LMem = 0;
for i = 1:NPMode
  if (i == 1)
    LMem = max(LMem, Pitchpar.PMax(i) + Pitchpar.POffs(end));
  else
    JMax = max(Pitchpar.LOffs{i});
    LMem = max(LMem, Pitchpar.PMax(i) + JMax + Pitchpar.POffs(end));
  end
end
LFrame = sum(DecoderPar.LSubframe);

% Long memory for pitch postfilter
DecoderMem.eMem = zeros(LMem + LFrame, 1);

% Synthesis filter memory
DecoderMem.SMem = [];

% LSF decoder initial value
DecoderMem.lsfQ = DecoderPar.LSFpar.Mean;

% CNG values
DecoderMem.CNG.Seed = DecoderPar.CNGpar.ResetSeed;
DecoderMem.CNG.FMode = 1;   % 0, 1, 2: normal, 3: SID, 4: CNG, 5: PLC
DecoderMem.CNG.Gain = NaN;
DecoderMem.CNG.SIDGain = NaN;
DecoderMem.CNG.lsfP = DecoderPar.LSFpar.Mean;  % Last non-PLC LSF's
DecoderMem.CNG.FModeP = 1;                     % Last non-PLC FMode

% PLC values
DecoderMem.PLC.Seed = DecoderPar.PLCpar.ResetSeed;
DecoderMem.PLC.NErr = 0;
DecoderMem.PLC.L = NaN;
DecoderMem.PLC.E = 0;
DecoderMem.PLC.uvGain = 0;

% Postfilter memory
DecoderMem.PF.FMem = [];
DecoderMem.PF.TMem = [];
DecoderMem.PF.CCof = 0;
DecoderMem.PF.Gain = 1;

end
