function a = LPanalFrame(x, LPpar)
% a = LPanalFrame(x, LPpar)
% LP analysis for a group of subframes in a frame of data.
%
% a     <-  Output LP parameters
% x      -> Input signal
% LPpar  -> LP parameter structure

% $Id: LPanalFrame.m,v 1.5 2020/11/03 18:31:54 pkabal Exp $

WStart = LPpar.WStart + LPpar.FStart;
NSubframe = length(WStart);
Np = length(LPpar.LagWin) - 1;
LWin = length(LPpar.Win);

% LP analysis
a = zeros(Np+1, NSubframe);
for i = 1:NSubframe
  st = WStart(i);
  a(:,i) = LPanal(x(st+1:st+LWin), LPpar);
end

end
