function Decoder_TestSuite()

% Long test of decoding the ITU-T test files

% $Id: Decoder_TestSuite.m,v 1.9 2020/12/08 12:48:40 pkabal Exp $

RDir = 'ReferenceFiles';

FileNames = { ...
%
% ==== Exercise the 5.3 rate decoder, without CNG ====
%
 fullfile(RDir, 'DM29.C5H'),     fullfile(RDir, 'DM29.BFI'),    '*';
 fullfile(RDir, 'DM29.C5H'),     '',                            '*';
 fullfile(RDir, 'DMBIS.C5H'),    '',                            '*';
 fullfile(RDir, 'IN1.C5H'),      '',                            '*';
 fullfile(RDir, 'IN2.C5H'),      '',                            '*';
 fullfile(RDir, 'IN3.C5H'),      '',                            '*';
 fullfile(RDir, 'IN4.C5H'),      '',                            '*';
 fullfile(RDir, 'IN5.C5H'),      '',                            '*';
 fullfile(RDir, 'IN6.C5H'),      '',                            '*';
 fullfile(RDir, 'INEQC53.C5H'),  '',                            '*';
 fullfile(RDir, 'OVERC53H.C5H'), '',                            '*';
 fullfile(RDir, 'PATHC53.C5H'),  '',                            '*';
 fullfile(RDir, 'READ7.C5H'),    '',                            '*';
 fullfile(RDir, 'TEST16.C5H'),   '',                            '*';
%
% ==== Exercise the 6.3 rate decoder, without CNG ====
%
 fullfile(RDir, 'CODEC63.C6H'),  '',                            '*';
 fullfile(RDir, 'DM29.C6H'),     fullfile(RDir, 'DM29.BFI'),    '*';
 fullfile(RDir, 'DM29.C6H'),     '',                            '*';
 fullfile(RDir, 'DMBIS.C6H'),    '',                            '*';
 fullfile(RDir, 'IN1.C6H'),      '',                            '*';
 fullfile(RDir, 'IN2.C6H'),      '',                            '*';
 fullfile(RDir, 'IN3.C6H'),      '',                            '*';
 fullfile(RDir, 'IN4.C6H'),      '',                            '*';
 fullfile(RDir, 'IN5.C6H'),      '',                            '*';
 fullfile(RDir, 'IN6.C6H'),      '',                            '*';
 fullfile(RDir, 'OVERC63.C6H'),  '',                            '*';
 fullfile(RDir, 'PATHC63H.C6H'), '',                            '*';
 fullfile(RDir, 'READ7.C6H'),    '',                            '*';
 fullfile(RDir, 'TEST16.C6H'),   '',                            '*';
%
% ==== Exercise mixed-rate decoding, without CNG ====
%
 fullfile(RDir, 'TEST16.CMH'),  fullfile(RDir, 'TEST16.BFI'),   '*';
%
% ==== Exercise the 5.3 rate decoder, with CNG ====
%
 fullfile(RDir, 'DM29.C5V'),     '',                            '*';
 fullfile(RDir, 'DMBIS.C5V'),    '',                            '*';
 fullfile(RDir, 'IN5.C5V'),      '',                            '*';
 fullfile(RDir, 'PATHC53.C5V'),  '',                            '*';
 fullfile(RDir, 'READ7.C5V'),    '',                            '*';
 fullfile(RDir, 'TEST16.C5V'),   '',                            '*';
 fullfile(RDir, 'VAD6353.C5V'),  '',                            '*';
%
% ==== Exercise the 6.3 rate decoder, with CNG ====
%
 fullfile(RDir, 'DM29.C6V'),     '',                            '*';
 fullfile(RDir, 'DMBIS.C6V'),    '',                            '*';
 fullfile(RDir, 'IN5.C6V'),      '',                            '*';
 fullfile(RDir, 'PATHC63H.C6V'), '',                            '*';
 fullfile(RDir, 'READ7.C6V'),    '',                            '*';
 fullfile(RDir, 'TEST16.C6V'),   '',                            '*';
 fullfile(RDir, 'VAD6353.C6V'),  '',                            '*';
%
% ==== Exercise mixed-rate decoding, with CNG ====
%
 fullfile(RDir, 'VAD6353.CMV'),  fullfile(RDir, 'VAD6353.BFI'), '*'};

SysOS = true;
CheckDiaryFile = StartDiaryFile(SysOS);

tG7231Decoder(FileNames);

CheckDiaryFile();

end
